Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class NonCatalogLog

    java.lang.Object
      |
      +--com.beasys.commerce.util.DefaultLog
            |
            +--com.beasys.commerce.util.NonCatalogLog

public class NonCatalogLog
extends DefaultLog

Generic class for logging to your server. The default implementation logs to the WebLogic server log facility. You can subclass the methods in this class to log other devices.

See Also:
  `Logger`, `NonCatalogLogger`

Field Summary
`protected java.util.Map` | `logMap` Map of subsystem names (app names) to NonCatalogLogger classes

Fields inherited from class com.beasys.commerce.util.DefaultLog
`COMMA, DEFAULT_APP_NAME, minimumLevel, QUOTE, showDebug, showDeprecated, SPACE`

Constructor Summary
`NonCatalogLog()` Default constructor.

Method Summary
`protected java.lang.String` | `assembleMsg(int aLevel, java.lang.String anAppName, java.lang.String aMsg)` Assemble the message into the expected output.
`protected weblogic.logging.NonCatalogLogger` | `getLoggerForApp(java.lang.String anAppName)` Get (or create) a logger for the specified app name (subsystem)
`protected void` | `logOutput(int aLevel, java.lang.String anAppName, java.lang.String aMsg, java.lang.Throwable anException)` Log the output.
`void` | `setMinimumLevel(int aLevel)` Deprecated. does nothing but log a deprecated message. Use domain log filters.

Methods inherited from class com.beasys.commerce.util.DefaultLog
`debug, deprecated, getMinimumLevel, getShowDebug, getShowDeprecated, info, info, log, log, log, log, setShowDebug, setShowDeprecated, textForLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logMap

    protected final java.util.Map logMap

  Map of subsystem names (app names) to NonCatalogLogger classes

Constructor Detail

### NonCatalogLog

    public NonCatalogLog()

  Default constructor.

Method Detail

### setMinimumLevel

    public void setMinimumLevel(int aLevel)

  Deprecated. does nothing but log a deprecated message. Use domain log filters.
  Deprecated - not used in this implementation

  Overrides:
    setMinimumLevel in class DefaultLog

### getLoggerForApp

    protected weblogic.logging.NonCatalogLogger getLoggerForApp(java.lang.String anAppName)

  Get (or create) a logger for the specified app name (subsystem)

### assembleMsg

    protected java.lang.String assembleMsg(int aLevel,
                                           java.lang.String anAppName,
                                           java.lang.String aMsg)

  Assemble the message into the expected output.

  Parameters:
    `aLevel` -
    `anAppName` -
    `aMsg` -
  Returns:
    `String`
  Overrides:
    assembleMsg in class DefaultLog

### logOutput

    protected void logOutput(int aLevel,
                             java.lang.String anAppName,
                             java.lang.String aMsg,
                             java.lang.Throwable anException)

  Log the output. Override default implementation to write to the log.

  Parameters:
    `aLevel` -
    `anAppName` - the application name
    `aCompleteMsg` -
    `anException` -
  Overrides:
    logOutput in class DefaultLog

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved